Namespace
library
Image / Tag
consul:1.8.10
Content Digest
sha256:ef8eff31bdb1dca7a4989275248060bf3bf06191d68f6d40cbf7f5e56627df22
Details
Created

2021-05-07 19:39:13 UTC

Size

44.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.8.10

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:7aa04a8f7710c18952348aa54b4346438ad013c87b6f7d476eb21ad756359bc3 - 6.0% (2.67 MB)

[#001] sha256:7f59dcd1edd92c70cabaf1b1d5a78dc21cdede8bd0d2c2650d0d0844ff1949da - 0.0% (1.23 KB)

[#002] sha256:5cdcac94f5b0c5fbe89cabc22db6bcedbb83b77e408021e1f48c827bec6069fc - 93.99% (41.7 MB)

[#003] sha256:de4bfebd2f15fcedf5997f66ff5917d8860364077160c6b88ab6185da83df1a4 - 0.0% (176 Bytes)

[#004] sha256:683301a7c91ba58435d9201fd611012461c13d87af9b9e573731ca2ecc43c62c - 0.0% (154 Bytes)

[#005] sha256:7368aa732b1f78064d2fe7f560c8567de6a010b85e095140ca6e67954cbbf2e2 - 0.0% (1.66 KB)


History
2021-04-14 18:38:36 UTC

/bin/sh -c #(nop) ADD file:0a694887033953f24197dedcb1098d28a4b6e539b29386f53d82262107e208fb in /

2021-04-14 18:38:36 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-04-14 18:55:36 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-04-16 21:38:58 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.10

2021-04-16 21:38:58 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.8.10

2021-04-16 21:38:58 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-04-16 21:38:59 UTC

|1 CONSUL_VERSION=1.8.10 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-05-07 19:39:10 UTC

|1 CONSUL_VERSION=1.8.10 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-05-07 19:39:11 UTC

|1 CONSUL_VERSION=1.8.10 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-05-07 19:39:12 UTC

|1 CONSUL_VERSION=1.8.10 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-05-07 19:39:12 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-05-07 19:39:12 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-05-07 19:39:12 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-05-07 19:39:12 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-05-07 19:39:12 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-05-07 19:39:13 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-05-07 19:39:13 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-05-07 20:20:19 UTC

Size

44.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.8.10

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:339de151aab4bc06eed8409daae147c408478cb538dacb90cc63f19ad4eba80b - 5.96% (2.67 MB)

[#001] sha256:e31fd7759efe4085bbe76d93789a91b3632bc1789749ef935f4cc4ebb4e28792 - 0.0% (1.23 KB)

[#002] sha256:032932a7b5e32ea020aba43dcb999d730ea228c6956ca5af99656f2aea2146e3 - 94.04% (42.2 MB)

[#003] sha256:3b78ea22fcb2995db4bda540d8c17d75fafefe7fa228c73d08dc1cf03c0c8866 - 0.0% (173 Bytes)

[#004] sha256:e47277a36bc521459f3004b20570d18601338f36dd523fd5aa1f97ec6da618f7 - 0.0% (154 Bytes)

[#005] sha256:770de61b17187c34303cc4e32f9b66cb31c55c0b8d99326d90f196e10cbf635d - 0.0% (1.67 KB)


History
2021-04-14 19:19:49 UTC

/bin/sh -c #(nop) ADD file:4f526aa99067d82b341f7ca538f7826b7c23a628f1b615eea2883a2d434c1b90 in /

2021-04-14 19:19:49 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-04-14 20:14:28 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-04-16 21:20:08 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.10

2021-04-16 21:20:09 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.8.10

2021-04-16 21:20:09 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-04-16 21:20:10 UTC

|1 CONSUL_VERSION=1.8.10 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-05-07 20:20:16 UTC

|1 CONSUL_VERSION=1.8.10 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-05-07 20:20:17 UTC

|1 CONSUL_VERSION=1.8.10 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-05-07 20:20:18 UTC

|1 CONSUL_VERSION=1.8.10 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-05-07 20:20:18 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-05-07 20:20:18 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-05-07 20:20:19 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-05-07 20:20:19 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-05-07 20:20:19 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-05-07 20:20:19 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-05-07 20:20:19 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-05-27 18:50:46 UTC

Size

40.3 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.8.10

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b452d2916bdfd021add56f1eda6bdea35400671ef07b38316ef82fce92a88fee - 6.17% (2.48 MB)

[#001] sha256:4cab5569449bdb26cbf6d4c006779d5e312c8c0df87032f8e17f23db96e11d23 - 0.0% (1.23 KB)

[#002] sha256:590677e0c55ae7fe402bb8c207d172fff356ae1b71e5e9ba641a292b256d826a - 93.82% (37.8 MB)

[#003] sha256:fa5fffd74581f462d35eb7a8f99d9bbb73f60f28b25f2470b78e109989f395cd - 0.0% (174 Bytes)

[#004] sha256:f7a072f4e018a3d308b7cc724d804bff42657ed676f5120f8e2c652231bf6bf0 - 0.0% (153 Bytes)

[#005] sha256:b2045c82b5440c79a31b09ade484db146391752f2dc20ecd6d1e0b4930aa9a02 - 0.0% (1.67 KB)


History
2021-04-14 18:49:49 UTC

/bin/sh -c #(nop) ADD file:82fa6a18d24e3f535c9061d2e111d63fe6d8a27710bb34a17b326e605ff478be in /

2021-04-14 18:49:50 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-05-27 18:49:30 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-05-27 18:50:15 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.10

2021-05-27 18:50:15 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.8.10

2021-05-27 18:50:15 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-05-27 18:50:16 UTC

|1 CONSUL_VERSION=1.8.10 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-05-27 18:50:42 UTC

|1 CONSUL_VERSION=1.8.10 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-05-27 18:50:43 UTC

|1 CONSUL_VERSION=1.8.10 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-05-27 18:50:44 UTC

|1 CONSUL_VERSION=1.8.10 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-05-27 18:50:44 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-05-27 18:50:45 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-05-27 18:50:45 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-05-27 18:50:45 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-05-27 18:50:46 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-05-27 18:50:46 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-05-27 18:50:46 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-05-27 22:03:48 UTC

Size

40.5 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.8.10

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:d2f70382dc9a1658ea3491d7ab4439c22087e426c00e3eb7daf825b83be4ba9c - 6.38% (2.59 MB)

[#001] sha256:0fa3f38f4c76e914dc896ed15869eb2c8bf41b7e715bc2d79b006de7a9ac5957 - 0.0% (1.23 KB)

[#002] sha256:79dc8ed7ff05afa8909f92e68413a88ae657b028cb5be83d3c0f46c30a287e24 - 93.61% (37.9 MB)

[#003] sha256:6190d03ea0306cc4a21c784fafa1f06a08f246eb417f0a5cb7a9d85f40e26b64 - 0.0% (174 Bytes)

[#004] sha256:f6bc1653b96b0e637686e489522b4fb8a3ecea9db7f021ce499f4693a91d2b99 - 0.0% (154 Bytes)

[#005] sha256:441a7dbba8b5f0d7b59e3cf221f227d72e6fd0b32091e2fcbb06a13534551eb0 - 0.0% (1.67 KB)


History
2021-04-14 18:42:54 UTC

/bin/sh -c #(nop) ADD file:3db1e10ac5ebf1cb34939eff736f1384f7d3b17355758cec361489fa7a7e19ca in /

2021-04-14 18:42:55 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-05-27 22:02:34 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-05-27 22:03:39 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.10

2021-05-27 22:03:40 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.8.10

2021-05-27 22:03:40 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-05-27 22:03:41 UTC

|1 CONSUL_VERSION=1.8.10 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-05-27 22:03:45 UTC

|1 CONSUL_VERSION=1.8.10 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-05-27 22:03:46 UTC

|1 CONSUL_VERSION=1.8.10 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-05-27 22:03:47 UTC

|1 CONSUL_VERSION=1.8.10 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-05-27 22:03:47 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-05-27 22:03:47 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-05-27 22:03:47 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-05-27 22:03:48 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-05-27 22:03:48 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-05-27 22:03:48 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-05-27 22:03:48 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]